mia-mesh-to-maskimage
Prev | Creation, analysis, and filtering of triangular 3D meshes | Next

### mia-mesh-to-maskimage

#### Sysnopis:

`mia-mesh-to-maskimage` {-i `io`} {-o `io`} [ `options` ...]

#### Description:

This program converts a 3D mesh into a binary mask comprising the mesh surface. The output image size is either given on the command line or deducted from the mesh dimensions.

#### Options:

#### File I/O

-i, --in-file=(input, required); io

  input mesh to be adapted. For supported file types see Plugin type: mesh/io

-o, --out-file=(output, required); io

  output image containing the binary mask. For supported file types see Plugin type: 3dimage/io

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Properties

--origin=[0,0,0]; 3dfvector

  coordinate of pixel at index 0,0,0

--spacing=[1,1,1]; 3dfvector

  voxel spacing in the output image, all values must be positive.

--size=[0,0,0]; 3dbounds

  size of the output image (0,0,0 = deduct)

#### Example:

The input mesh input.vmesh is converted into the binary mask mask.v. The image size is set to 50,50,50 and the size is obtained automatically to include the whole mesh

    mia-mesh-to-maskimage -i input.vmesh -o mask.v --origin 0,0,0

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-mesh-deformable-model | Home | mia-meshdistance-to-stackmask